Bug 189441 - rebuild with tm support
Summary: rebuild with tm support
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
(Show other bugs)
Version: 16
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-19 23:12 UTC by Garrick Staples
Modified: 2012-04-16 12:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-18 01:49:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Garrick Staples 2006-04-19 23:12:13 UTC
TORQUE is now in Extras.  Can openmpi be rebuilt with libtorque-devel to get tm
support?

Comment 1 Garrick Staples 2006-04-19 23:17:05 UTC
I forgot to mention, you need to change references to libpbs to libtorque in
openmpi's configure script until they patch it upstream.  You can just do 'sed
-i -e s/lpbs/ltorque/ configure', but here is a patch for 1.0.2 (I assume you
are updating soon.)
http://www-rcf.usc.edu/~garrick/openmpi-1.0.2-libtorque.patch

Comment 2 Sergio Belkin 2012-04-16 12:53:30 UTC
I don't know when, why or how, but the bug is still there, there is no support for torque:

ompi_info | grep tm

It has no output at all

When it should have :

  MCA ras: tm (MCA v2.0, API v2.0, Component v1.5.4)
  MCA plm: tm (MCA v2.0, API v2.0, Component v1.5.4)
  MCA ess: tm (MCA v2.0, API v2.0, Component v1.5.4)


Note You need to log in before you can comment on or make changes to this bug.